/*!
 * Copyright (c) 2024 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 */

.btn {
  min-width: 20rem;
  padding-top: 0.8rem;
  padding-bottom: 0.8rem;
  border-radius: @btn-border-radius-base;
  font-size: 14px;

  &:visited, 
  &:focus {
    color: @brand-secondary;
  }
}

.btn-secondary {
  &:visited,
  &:focus {
    color: @white;
  }
}

.btn-row {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 1rem;

  @media (min-width: @screen-sm-min) {
    flex-direction: row;

    .btn {
      &:first-child:not(:last-child) {
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
      }

      &:last-child:not(:first-child) {
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
      }

      &:not(:first-child, :last-child) {
        border-radius: 0;
      }
    }
  }

  &-center {
    justify-content: center;
  }
}
